// MultiFileDialog.h : header file
// Scott
#ifndef _MULTIFILEDLG_H_
#define _MULTIFILEDLG_H_


/////////////////////////////////////////////////////////////////////////////
// CMultiFileDialog dialog

class CMultiFileDialog : public CFileDialog
{
	DECLARE_DYNAMIC(CMultiFileDialog)

public:
	int DoModal();
	virtual ~CMultiFileDialog();
	CMultiFileDialog(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT 
			| OFN_ALLOWMULTISELECT,			// this lets us open multiple files
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);

protected:
	//{{AFX_MSG(CMultiFileDialog)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	TCHAR* m_pszFileName;
};

#endif // _MULTIFILEDLG_H_
