// CanyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "..\\res\\resource.h"
#include "CanyDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCanyDlg static inizalitation

float         CCanyDlg::sigma=(float) 0.0;
int           CCanyDlg::min_threshold=15;
int           CCanyDlg::max_threshold=30;
int           CCanyDlg::min_len=5;
int           CCanyDlg::seguimiento=SEGUIMIENTO_NINGUNO ;
BOOL          CCanyDlg::pasoApaso=FALSE;

/////////////////////////////////////////////////////////////////////////////
// CCanyDlg dialog


CCanyDlg::CCanyDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCanyDlg::IDD, pParent),
  m_Sigma(sigma),
  m_Seguimiento(seguimiento),
  m_PasoApaso(pasoApaso)
{
	//{{AFX_DATA_INIT(CCanyDlg)
		// NOTE: the ClassWizard will add member initialization here
 	
	//}}AFX_DATA_INIT
}


void CCanyDlg::DoDataExchange(CDataExchange* pDX)
{
  /* Get check state if updating variables with dialog values*/
  if ( pDX->m_bSaveAndValidate ) {
    pasoApaso=m_PasoApaso =
       IsDlgButtonChecked(IDC_PASO_A_PASO);
  }
  
  /* if (pDX->m_bSaveAndValidate)==FALSE
   * Uptate local variables with persistent ones
   * and update dialog controls */

  if (!(pDX->m_bSaveAndValidate)) {
    m_Sigma = sigma;
    m_Seguimiento=seguimiento;
    m_PasoApaso=pasoApaso;

    /* Enable/disable controls */
     switch (seguimiento) {
     case SEGUIMIENTO_NINGUNO: OnNoSeguimiento(); break;
     case SEGUIMIENTO_CONTINUIDAD: OnSegConti(); break;
     case SEGUIMIENTO_DIRECCION: OnSegDirec(); break;
     }

     CSpinButtonCtrl* pSpin = (CSpinButtonCtrl *)
                  GetDlgItem(IDC_MIN_THERESHOLD);
     pSpin->SetPos( (sigma>3.0) ? 60 : (sigma<0) ? 0 :
                                  (int)(sigma*20.0) );
      
      CSliderCtrl* pMin =
          (CSliderCtrl*) GetDlgItem(IDC_MIN_THERESHOLD);
      pMin->SetPos(min_threshold);

      CSliderCtrl* pMax =
          (CSliderCtrl*) GetDlgItem(IDC_MAX_THERESHOLD);
      pMax->SetPos(max_threshold);
  
      CSliderCtrl* pMinLen =
          (CSliderCtrl*) GetDlgItem(IDC_MIN_LEN);
       pMinLen->SetPos(min_len);
    }

  CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CCanyDlg)
    DDX_Radio(pDX, IDC_THERESHOLD_NONE,m_Seguimiento);
    DDX_Check(pDX, IDC_PASO_A_PASO, m_PasoApaso);
    DDX_Text(pDX, IDC_SIGMA, m_Sigma);
	//}}AFX_DATA_MAP
    
  /* if (pDX->m_bSaveAndValidate)==TRUE
   * Uptate static variables with dialog values
   * For example, when OK button is pressed
   */

     if (pDX->m_bSaveAndValidate) {
      /* Disable/enable controls depending on radio buttons */
      switch (m_Seguimiento) {
      case SEGUIMIENTO_NINGUNO: OnNoSeguimiento(); break;
      case SEGUIMIENTO_CONTINUIDAD: OnSegConti(); break;
      case SEGUIMIENTO_DIRECCION: OnSegDirec(); break;
      }

     CSpinButtonCtrl* pSpin = (CSpinButtonCtrl *)
                  GetDlgItem(IDC_MIN_THERESHOLD);
     pSpin->SetPos( (m_Sigma>3.0) ? 60 : (m_Sigma<0) ? 0 :
                                  (int)(m_Sigma*20.0) );      
     sigma = m_Sigma;

      CSliderCtrl* pMin =
          (CSliderCtrl*) GetDlgItem(IDC_MIN_THERESHOLD);
      min_threshold = pMin->GetPos();

      CSliderCtrl* pMax =
          (CSliderCtrl*) GetDlgItem(IDC_MAX_THERESHOLD);
      max_threshold = pMax->GetPos();
  
      CSliderCtrl* pMinLen =
          (CSliderCtrl*) GetDlgItem(IDC_MIN_LEN);
      min_len = pMinLen->GetPos();    
     } 
}

BEGIN_MESSAGE_MAP(CCanyDlg, CDialog)
	//{{AFX_MSG_MAP(CCanyDlg)
	ON_BN_CLICKED(IDC_HELP_CANY, OnHelp)
  ON_BN_CLICKED(IDC_THERESHOLD_NONE,OnNoSeguimiento)
	ON_BN_CLICKED(IDC_THERESHOLD_CONTIGUOS,OnSegConti)
  ON_BN_CLICKED(IDC_THERESHOLD_ANGLE,OnSegDirec)
	ON_WM_HSCROLL()
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCanyDlg message handlers


void CCanyDlg::OnHelp() 
{
	// TODO: Add your control notification handler code here
  MessageBox("La ayuda no est todava a punto","Ayuda");
}

void CCanyDlg::OnNoSeguimiento() 
{
	// TODO: Add your control notification handler code here
  seguimiento=m_Seguimiento= SEGUIMIENTO_NINGUNO;
  //GetDlgItem (IDC_MAX_THERESHOLD)->EnableWindow(FALSE);
  //GetDlgItem (IDC_STATIC_MAX)->EnableWindow(FALSE);
  //GetDlgItem (IDC_MIN_THERESHOLD)->EnableWindow(FALSE);
  //GetDlgItem (IDC_STATIC_MIN)->EnableWindow(FALSE);
  //GetDlgItem (IDC_STATIC_SEG)->EnableWindow(FALSE);
  //GetDlgItem (IDC_STATIC_SEG2)->EnableWindow(FALSE);
  GetDlgItem (IDC_MIN_LEN)->EnableWindow(FALSE);
  GetDlgItem (IDC_STATIC_MIN_LEN)->EnableWindow(FALSE);
  GetDlgItem (IDC_STATIC_SEG3)->EnableWindow(FALSE);
}

void CCanyDlg::OnSegConti() 
{
	// TODO: Add your control notification handler code here
  seguimiento=m_Seguimiento= SEGUIMIENTO_CONTINUIDAD;
  //GetDlgItem (IDC_MAX_THERESHOLD)->EnableWindow(TRUE);
  //GetDlgItem (IDC_STATIC_MAX)->EnableWindow(TRUE);
  //GetDlgItem (IDC_MIN_THERESHOLD)->EnableWindow(TRUE);
  //GetDlgItem (IDC_STATIC_MIN)->EnableWindow(TRUE);
  //GetDlgItem (IDC_STATIC_SEG)->EnableWindow(TRUE);
  //GetDlgItem (IDC_STATIC_SEG2)->EnableWindow(TRUE);
  GetDlgItem (IDC_MIN_LEN)->EnableWindow(TRUE);
  GetDlgItem (IDC_STATIC_MIN_LEN)->EnableWindow(TRUE);
  GetDlgItem (IDC_STATIC_SEG3)->EnableWindow(TRUE);
}

void CCanyDlg::OnSegDirec() 
{
	// TODO: Add your control notification handler code here
 seguimiento=m_Seguimiento= SEGUIMIENTO_DIRECCION;
 //GetDlgItem (IDC_MAX_THERESHOLD)->EnableWindow(TRUE);
 //GetDlgItem (IDC_STATIC_MAX)->EnableWindow(TRUE);
 //GetDlgItem (IDC_MIN_THERESHOLD)->EnableWindow(TRUE);
 //GetDlgItem (IDC_STATIC_MIN)->EnableWindow(TRUE);
 //GetDlgItem (IDC_STATIC_SEG)->EnableWindow(TRUE);
 //GetDlgItem (IDC_STATIC_SEG2)->EnableWindow(TRUE);
 GetDlgItem (IDC_MIN_LEN)->EnableWindow(TRUE);
 GetDlgItem (IDC_STATIC_MIN_LEN)->EnableWindow(TRUE);
 GetDlgItem (IDC_STATIC_SEG3)->EnableWindow(TRUE);
}

BOOL CCanyDlg::OnInitDialog() 
{
    CString strMax;
    CSliderCtrl* pMax =
        (CSliderCtrl*) GetDlgItem(IDC_MAX_THERESHOLD);
    pMax->SetRange(0, 50);
    pMax->SetPos(max_threshold);
    strMax.Format("%d", pMax->GetPos());
    SetDlgItemText(IDC_STATIC_MAX, strMax);
 
    CString strMin;
    CSliderCtrl* pMin =
        (CSliderCtrl*) GetDlgItem(IDC_MIN_THERESHOLD);
    pMin->SetRange(0, 50);
    pMin->SetPos(min_threshold);
    strMin.Format("%d", pMin->GetPos());
    SetDlgItemText(IDC_STATIC_MIN, strMin);

    CString strLen;
    CSliderCtrl* pLen =
        (CSliderCtrl*) GetDlgItem(IDC_MIN_LEN);
    pLen->SetRange(0, 25);
    pLen->SetPos(min_len);
    strLen.Format("%d", pLen->GetPos());
    SetDlgItemText(IDC_STATIC_MIN_LEN, strLen);
    
    CSpinButtonCtrl* pSpin =
        (CSpinButtonCtrl*) GetDlgItem(IDC_SPIN_SIGMA);
    pSpin->SetRange(0, 60);
    pSpin->SetPos((int) (sigma * 20.0));

   CString strValue;
   strValue.Format("%4.2f",m_Sigma);
   ((CEdit*) GetDlgItem (IDC_SIGMA))->
     SetWindowText(strValue);


    return CDialog::OnInitDialog();
}

void CCanyDlg::OnHScroll(UINT nSBCode, UINT nPos,
                             CScrollBar* pScrollBar) 
{
    CSliderCtrl* pSlide = (CSliderCtrl*) pScrollBar;
    
    CString strText;
     strText.Format("%d", pSlide->GetPos());
    // three trackbars are sending
    //  HSCROLL messages (different processing)

   switch(pScrollBar->GetDlgCtrlID()) {
    case IDC_MIN_THERESHOLD:
      SetDlgItemText(IDC_STATIC_MIN, strText);
        {
          CSliderCtrl* pMax =    (CSliderCtrl*) GetDlgItem (IDC_MAX_THERESHOLD);
          if (pSlide->GetPos() > pMax->GetPos()) {
             pMax->SetPos(pSlide->GetPos() );
             SetDlgItemText(IDC_STATIC_MAX, strText);
          }
        }
        break;
    case IDC_MAX_THERESHOLD:
        SetDlgItemText(IDC_STATIC_MAX, strText);
        {
          CSliderCtrl* pMin =    (CSliderCtrl*) GetDlgItem (IDC_MIN_THERESHOLD);
          if (pSlide->GetPos() < pMin->GetPos()) {
             pMin->SetPos(pSlide->GetPos() );
             SetDlgItemText(IDC_STATIC_MIN, strText);
          }
        }
        break;
    case IDC_MIN_LEN:
        SetDlgItemText(IDC_STATIC_MIN_LEN, strText);
        break;
    }
}

void CCanyDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
  CSpinButtonCtrl* pSpin =
        (CSpinButtonCtrl*) GetDlgItem(IDC_SPIN_SIGMA);
   sigma=m_Sigma = (float) (pSpin->GetPos())/(float) 20.0;
   CString strValue;
   strValue.Format("%4.2f",m_Sigma);
   ((CEdit*) GetDlgItem (IDC_SIGMA))->
     SetWindowText(strValue);
}

/*void CCanyDlg::OnChangeSigma() 
{
    CSpinButtonCtrl* pSpin =
        (CSpinButtonCtrl*) GetDlgItem(IDC_SPIN_SIGMA);
    pSpin->SetPos((m_Sigma>3.0) ? 60 : (m_Sigma<0) ? 0 :
                                  (int)(m_Sigma*20.0) );
  UpdateData(TRUE);	
} */

/*********************************************************************************/

#include "ImgDoc.h"

void CImgBasicDoc::AlgCanny(void)
{
  byte *thepic=NULL, *results=NULL;   /* Greyscaled final image */
  int pfree, typePic;
  u_int NewNumCols;
  byte *rp, *gp, *bp;

  CCanyDlg dlg;
  int ReturnValue=dlg.DoModal();

  /* Dont do nothing if exited from dialog with cancel */
  if (ReturnValue==IDCANCEL) return;

  /* Call a function depending of the color information */

  clock_t start;

  if (mono) { // MONOCHROME IMAGE

    thepic = GetImage(&typePic, F_GREYSCALE, &pfree, &NewNumCols, &rp, &gp, &bp,256);
    if (!thepic) return;  //NULL PIC
 
    start = clock();
    results = doCannyGrey( thepic, pWIDE, pHIGH, (float) dlg.sigma,
                dlg.min_threshold,dlg.max_threshold,dlg.min_len,
                dlg.seguimiento, dlg.pasoApaso);

  } else {  // COLOR IMAGE

    thepic = GetImage(&typePic, F_FULLCOLOR, &pfree, &NewNumCols, &rp, &gp, &bp,256);
    if (!thepic) return;  //NULL PIC

    start = clock();
    results = doCanny24  ( thepic, pWIDE, pHIGH, (float) dlg.sigma,
                dlg.min_threshold,dlg.max_threshold,dlg.min_len,
                dlg.seguimiento, dlg.pasoApaso);
  }
 
  ElapsedTime("AlgCanny", start);

  /* free thepic if needed */
  if (pfree) free(thepic);
  
  if (results) {
    // INSTALL NEW PIC   
    /* Store new image, allow 'undo', uptade display, etc.   */
    StoreNewPic(results,PIC8,TRUE);
    RedrawPic(); // Display new picture
  }
}   /* End of GaussianBlur image                             */


