#ifndef _YES_NO_
#define _YES_NO_

#ifndef IDOK
#define IDOK            1
#endif // IDOK

#ifndef IDCANCEL
#define IDCANCEL        2
#endif // IDCANCEL

#ifndef IDABORT
#define IDABORT         3
#endif // IDABORT

#ifndef IDRETRY
#define IDRETRY         4
#endif // IDRETRY

#ifndef IDIGNORE
#define IDIGNORE        5
#endif // IDIGNORE

#ifndef IDYES
#define IDYES           6
#endif // IDYES

#ifndef IDNO
#define IDNO            7
#endif // IDNO

#if (WINVER >= 0x0400)
  #ifndef IDCLOSE
    #define IDCLOSE         8
  #endif // IDCLOSE
  #ifndef IDHELP
    #define IDHELP          9
  #endif // IDHELP
#endif

extern int YesNo(char *str);
extern int YesNoCancel(char *str);
extern int OkCancel(char *str);
extern int RetryCancel(char *str);
extern int AbortRetryIgnore(char *str);

#endif //_YES_NO_